Package org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumIntAssociations

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.IntTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetIntAssociations
        - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumIntAssociations

-     @Deprecated
      public class TaxonomyFacetSumIntAssociations
      extends TaxonomyFacetIntAssociations

  Deprecated.
  This class is being deprecated in favor of `TaxonomyFacetIntAssociations`, which provides more flexible aggregation functionality beyond just "sum"
  Aggregates sum of int values previously indexed with `IntAssociationFacetField`, assuming the default encoding.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `aggregationFunction, sparseValues, values`

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaxonomyFacetSumIntAssociations​(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` | Deprecated. Create `TaxonomyFacetSumIntAssociations` against the specified index field.
    `TaxonomyFacetSumIntAssociations​(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` | Deprecated. Create `TaxonomyFacetSumIntAssociations` against the default index field.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `getAllChildren, getSpecificValue, getTopChildren, getTopDims, getValue, increment, increment, rollup, useHashTable`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, siblingsLoaded, verifyDim`

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetSumIntAssociations

          public TaxonomyFacetSumIntAssociations​(TaxonomyReader taxoReader,
                                                 FacetsConfig config,
                                                 FacetsCollector fc)
                                          throws IOException

      Deprecated.
      Create `TaxonomyFacetSumIntAssociations` against the default index field.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumIntAssociations

          public TaxonomyFacetSumIntAssociations​(String indexFieldName,
                                                 TaxonomyReader taxoReader,
                                                 FacetsConfig config,
                                                 FacetsCollector fc)
                                          throws IOException

      Deprecated.
      Create `TaxonomyFacetSumIntAssociations` against the specified index field.
      Throws:
        `IOException`